#*
#* $Header$
#*
#* MODULE:   ELSATRIO.MK
#*
#* AUTHOR:   J. Sachs (js), (c) ELSA AG
#*
#* PROJECT:  Windows'95 Display Driver - INF File
#*
#* INTERF:
#*
#* DESCR:    This makefile will be included in the main makefile
#*           and creates the display makefile
#*
#* NOTES:	The following macros have to be defined:
#*	$(TARGET)	name an path of the taget file (targets\elsaeii.inf)
#*	$(INFFILE)	name of th inffile to be created (ELSAEII.INF)
#*	$(CABFILE)	cabinet file name (if needed)
#*	$(DEVNAME)	what board is the inf good for
#*
#*      Build defines
#*  $(BLD): T3D WINNER 1000/T3D
#*
#*
#*
#* REV:
#*  07.09.98, js: created
#*  22.01.99, HHORNIG : adjusted for WINNER 1000/T3D
#*
#/
#******************************************************************
#    START OF FILE
# ******************************************************************

# build the driver name base ID
NAMEBASE = ELSA$(BLD)

!if "$(BLD)" == "T3D"
FULLNAME = WINNER 1000/T3D
!endif
!if "$(BLD)" == "T3DD"
FULLNAME = WINNER 1000/T3D
!endif

$(TARGET)::
	@copy << $(TARGET)
;#
;| $(INFFILE):  Device information file for Windows 9x Display Driver
;|               ELSA $(DEVNAME)
;|
;| Copyright (c) 1999 ELSA AG (Aachen, Germany)
;|
;| 22.01.99
;|
;+----------------------------------------------------------------------
           
;-----------------------------------------------------------------------
[Version]
;-----------------------------------------------------------------------
signature="$$CHICAGO$$"
Class=DISPLAY
InfVersion=4.10.0202
Provider=%ELSA%

;-----------------------------------------------------------------------
[Manufacturer]
;-----------------------------------------------------------------------
%ELSA%=ELSA_DISPDRV

;-----------------------------------------------------------------------
[ELSA_DISPDRV]
;-----------------------------------------------------------------------
!if "$(BLD)" == "T3D"
%T3DAGP.DevDesc%       =THISDEV,   PCI\VEN_5333&DEV_8A13&SUBSYS_09701048
!endif
!if "$(BLD)" == "T3DD"
%T3DAGP.DevDesc%       =THISDEV,   PCI\VEN_5333&DEV_8A13&SUBSYS_09701048
!endif

;-----------------------------------------------------------------------
; INSTALL section
;-----------------------------------------------------------------------
[THISDEV]
CopyFiles     = SYS.Copy, WIN.Copy, INF.Copy, HLP.Copy, ELSA.Copy
DelReg        = ALL.DelReg
AddReg        = ALL.AddReg
UpdateInis    = ALL.UpdateInis
UpdateAutoBat = ALL.UpdateAutoBat

;-----------------------------------------------------------------------
; disk-names, files and directories
;-----------------------------------------------------------------------
[SourceDisksNames]
1=%Display.DiskID%,$(CABFILE),
$(EXTRA_DISKNAMES:+ =
)

[SourceDisksFiles]
!ifdef DEBUG
$(NAMEBASE)E.DRV = 1
$(NAMEBASE)Y.DLL = 1
$(NAMEBASE)W.VXD = 1
VGARTD.VXD    = 1
$(NAMEBASE)E.NMS     = 1
$(NAMEBASE)Y.NMS     = 1
$(NAMEBASE)W.NMS     = 1
!else
$(NAMEBASE)D.DRV = 1
$(NAMEBASE)X.DLL = 1
$(NAMEBASE)V.VXD = 1
VGARTD.VXD    = 1
!endif
$(EXTRA_DISKFILES:+ =
)

[DestinationDirs]
DefaultDestDir	= 11
SYS.Copy        = 11
WIN.Copy        = 10
INF.Copy        = 17
HLP.Copy	= 18
ELSA.Copy	= 10,%ELSAUTIL%

;-----------------------------------------------------------------------
; add/delete registry section
;-----------------------------------------------------------------------

[ALL.AddReg]
HKR,,Ver,,4.10.01.0202
HKR,,DevLoader,,*vdd
HKR,DEFAULT,Mode,,"8,640,480"
!ifdef DEBUG
HKR,DEFAULT,drv,,$(NAMEBASE)E.DRV
HKR,DEFAULT,drv2,,$(NAMEBASE)E.DRV
HKR,DEFAULT,minivdd,,$(NAMEBASE)W.VXD
HKR,DEFAULT,minivdd2,,$(NAMEBASE)W.VXD

!else
HKR,DEFAULT,drv,,$(NAMEBASE)D.DRV
HKR,DEFAULT,drv2,,$(NAMEBASE)D.DRV
HKR,DEFAULT,minivdd,,$(NAMEBASE)V.VXD
HKR,DEFAULT,minivdd2,,$(NAMEBASE)V.VXD
!endif
HKR,DEFAULT,vdd,,"*vdd,*vflatd"
HKR,DEFAULT,RefreshRate,,-1
HKR,DEFAULT,DDC,,1
HKR,DEFAULT,REPOST,,"1"
HKR,"MODES\4\640,480",drv,,vga.drv
HKR,"MODES\4\640,480",vdd,,*vdd
HKR,"MODES\4\800,600",drv,,supervga.drv
HKR,"MODES\4\800,600",vdd,,*vdd
HKR,"MODES\8\640,480"   ,,,"60,70,72,75,85,100,120"
HKR,"MODES\8\800,600"   ,,,"60,70,72,75,85,100,120"
HKR,"MODES\8\1024,768"  ,,,"60,70,72,75,85,100,120"
HKR,"MODES\8\1152,864"  ,,,"60,70,72,75,85,100,120"
HKR,"MODES\8\1280,1024" ,,,"60,70,72,75,85,100,120"
HKR,"MODES\8\1600,1200" ,,,"60,70,72,75,85,100"
HKR,"MODES\16\640,480"  ,,,"60,70,72,75,85,100,120"
HKR,"MODES\16\800,600"  ,,,"60,70,72,75,85,100,120"
HKR,"MODES\16\1024,768" ,,,"60,70,72,75,85,100,120"
HKR,"MODES\16\1152,864" ,,,"60,70,72,75,85,100,120"
HKR,"MODES\16\1280,1024",,,"60,70,72,75,85,100,120"
HKR,"MODES\16\1600,1200",,,"60,70,72,75,85,100"
HKR,"MODES\24\640,480"  ,,,"60,70,72,75,85,100,120"
HKR,"MODES\24\800,600"  ,,,"60,70,72,75,85,100,120"
HKR,"MODES\24\1024,768" ,,,"60,70,72,75,85,100,120"
HKR,"MODES\24\1152,864" ,,,"60,70,72,75,85,100,120"
HKR,"MODES\24\1280,1024",,,"60,70,72,75,85,100"

;HKLM,Software\ELSA\WINNER1000T3D\Display,DuoView_In_8Bpp,,"ON"
HKLM,Software\ELSA\WINNER1000T3D\Display,DuoView_Flip,,"ON"
HKLM,Software\ELSA\WINNER1000T3D\Display,Mode720Flg,,"ON"
HKLM,Software\ELSA\WINNER1000T3D\D3D,CheckUV,,"OFF"
HKLM,Software\ELSA\WINNER1000T3D\D3D,CommandDMA,,"ON"
HKLM,System\CurrentControlSet\Services\VxD\VGARTD,StaticVxD,2,"vgartd.vxd"
$(EXTRA_ADDREG:+ =
)

[ALL.DelReg]
HKR,,Ver
HKR,,DevLoader
HKR,DEFAULT
HKR,MODES
HKR,CURRENT
HKLM,System\CurrentControlSet\Services\VxD\VGARTD
HKLM,Software\ELSA\WINNER1000T3D

;-----------------------------------------------------------------------
; update section
;-----------------------------------------------------------------------

[ALL.UpdateInis]
$(EXTRA_UPDATEINIS:+ =
)

[ALL.UpdateAutoBat]
CmdDelete=rm
$(EXTRA_UPDATEAUTOBAT:+ =
)

;-----------------------------------------------------------------------
; copy/delete section
;-----------------------------------------------------------------------

[SYS.Copy]
!ifdef DEBUG
$(NAMEBASE)E.DRV
$(NAMEBASE)Y.DLL
$(NAMEBASE)W.VXD
VGARTD.VXD
$(NAMEBASE)E.NMS
$(NAMEBASE)Y.NMS
$(NAMEBASE)W.NMS
!else
$(NAMEBASE)D.DRV
$(NAMEBASE)X.DLL
$(NAMEBASE)V.VXD
VGARTD.VXD
!endif
$(EXTRA_SYSCOPY:+ =
)

[WIN.Copy]
$(EXTRA_WINCOPY:+ =
)

[INF.Copy]
$(EXTRA_INFCOPY:+ =
)

[HLP.Copy]
$(EXTRA_HLPCOPY:+ =
)

[ELSA.Copy]
$(EXTRA_ELSACOPY:+ =
)

;-----------------------------------------------------------------------
[Strings]
;-----------------------------------------------------------------------
ELSA            = "ELSA AG"
PROPPAGE	= "SOFTWARE\Microsoft\Windows\CurrentVersion\Controls Folder\Display\shellex\PropertySheetHandlers"
RUNONCE		= "Software\Microsoft\Windows\CurrentVersion\RunOnce"
RUN		= "Software\Microsoft\Windows\CurrentVersion\Run"
WINMANSUITE	= "Software\ELSA\WINmanSuite"
ELSAUTIL        = "ELSAUTIL"
!if "$(BLD)" == "T3D"
T3DAGP.DevDesc    = "ELSA $(DEVNAME)"
!endif
!if "$(BLD)" == "T3DD"
T3DAGP.DevDesc    = "ELSA $(DEVNAME)"
!endif
Display.DiskID  = "ELSA Driver Disk ($(DEVNAME))"
$(EXTRA_STRINGS:+ =
)
;-----------------------------------------------------------------------
<<nokeep

